# The restart part in the real _post_service doesn't work with netfs and isn't needed
# for other scripts
%define _mypost_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;

%define initlvl_chg() if [[ -f /etc/rc3.d/S%{2}%{1} ]] && [[ -f /etc/rc5.d/S%{2}%{1} ]] && grep -q -e 'chkconfig: [0-9]+ %{3}' /etc/init.d/%{1}; then chkconfig --add %{1} || : ; fi; \
%{nil}

%define _libexecdir %{_prefix}/libexec

Summary:	Scripts to bring up network interfaces and legacy utilities
Name:		initscripts
Version:	9.56
Release:	8
Epoch:		2
License:	GPLv2
Group:		System/Base
Url:		https://fedorahosted.org/releases/i/n/initscripts/
Source0:	initscripts-%{version}.tar.bz2
Source1:	%{name}.rpmlintrc
Source2:	initscripts-omv.patch.bz2 # 91a549c3f5897a96b13f0b2d73ee2ec655c5ac99 in omv_software/initscripts
Source3:	initscripts-omv-9.54_9.56.patch

#ROSA specific patches for the mandriva features
Patch0011:	0011-Display-manager-scripts-updates.patch
Patch0012:	0012-Network-scripts-updates.patch
Patch0013:	0013-Drop-mandriva-everytime-and-obsoletes-Mandriva-patches.patch
Patch0014:	0014-Network-scripts-chkconfig.patch

# (cg) Upstream cherry picks
Patch101:	initscripts-9.56-remove-legacy-files.patch

# (cg) Patches to go into mgaconf mega patch eventually

#ROSA patches
Patch0505:	initscripts-9.45-check-256color-term.patch

Patch0511:	initscripts-9.45-non-systemd_support_removal.patch
Patch0515:	initscripts-9.45-new-i18n-config.patch

# Updates for systemd random-seed handling (based on upstream cc8710da5e426d2e092d0621f03f67af6ffdcc27)
Patch0517:	initscripts-9.45-updates-for-random-seed.patch
Patch0518:	initscripts-9.56-remove-fedora-loadmodules.patch
Patch0519:	initscripts-9.56-sysctl.patch

# ROSA patch: fix paths in /lib/systemd/fedora-domainname
Patch0520:	initscripts-9.56-fedora-domainname-paths.patch

BuildRequires:	python
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(popt)

Requires:	dmsetup
Requires:	e2fsprogs
Requires:	ethtool
# for /bin/find
Requires:	findutils
# for /bin/awk
Requires:	gawk
Requires:	gettext-base
Requires:	ifmetric
Requires:	ifplugd >= 0.24
# for /sbin/ip
Requires:	iproute2
# for /sbin/arping
Requires:	iputils
Requires:	mktemp
Requires:	module-init-tools
Requires:	mount
Requires:	net-tools
# for /bin/sed
Requires:	sed
# (blino) for pidof -c
# (bor) for pidof -m
Requires:	procps-ng
# for /sbin/fuser
Requires:	psmisc
Requires:	resolvconf >= 1.41
Requires:	setup
Requires:	udev >= 194-26
Requires:	util-linux-ng >= 2.16
Requires(post):	chkconfig
Requires(post):	grep
Requires(post):	/usr/bin/tr
Requires(post,preun):	rpm-helper
Provides:	/etc/init.d
Provides:	/sbin/service
Provides:	rhsound = %{version}-%{release}
Provides:	sapinit = %{version}-%{release}
Conflicts:	dmraid < 1.0.0-0.rc16.18
Conflicts:	lvm2 < 2.02.99
# http://bugzilla.redhat.com/show_bug.cgi?id=252973
Conflicts:	nut < 2.2.0
Conflicts:	prcsys

%description
This package contains the script that activates and deactivates most
network interfaces, some utilities, and other legacy files.

%files -f %{name}.lang
%dir %{_sysconfdir}/sysconfig/network-scripts
%dir %{_sysconfdir}/sysconfig/network-scripts/ifup.d
%dir %{_sysconfdir}/sysconfig/network-scripts/ifdown.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/adjtime
%config(noreplace) %{_sysconfdir}/sysconfig/init
%config(noreplace) %{_sysconfdir}/sysconfig/autofsck
%config(noreplace) %{_sysconfdir}/sysconfig/netconsole
%config(noreplace) %{_sysconfdir}/sysconfig/readonly-root
%{_sysconfdir}/sysconfig/network-scripts/ifdown
/sbin/ifdown
%{_sysconfdir}/sysconfig/network-scripts/ifdown-post
%{_sysconfdir}/sysconfig/network-scripts/ifup
/sbin/ifup
%dir %{_sysconfdir}/sysconfig/console
%dir %{_sysconfdir}/sysconfig/console/consoletrans
%dir %{_sysconfdir}/sysconfig/console/consolefonts
%{_sysconfdir}/sysconfig/network-scripts/network-functions
%{_sysconfdir}/sysconfig/network-scripts/network-functions-ipv6
%{_sysconfdir}/sysconfig/network-scripts/init.ipv6-global
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifcfg-lo
%{_sysconfdir}/sysconfig/network-scripts/ifup-post
%{_sysconfdir}/sysconfig/network-scripts/ifup-routes
%{_sysconfdir}/sysconfig/network-scripts/ifdown-routes
%{_sysconfdir}/sysconfig/network-scripts/ifup-plip
%{_sysconfdir}/sysconfig/network-scripts/ifup-plusb
%{_sysconfdir}/sysconfig/network-scripts/ifup-bnep
%{_sysconfdir}/sysconfig/network-scripts/ifdown-bnep
%{_sysconfdir}/sysconfig/network-scripts/ifup-eth
%{_sysconfdir}/sysconfig/network-scripts/ifdown-eth
%{_sysconfdir}/sysconfig/network-scripts/ifup-ipv6
%{_sysconfdir}/sysconfig/network-scripts/ifdown-ipv6
%{_sysconfdir}/sysconfig/network-scripts/ifup-sit
%{_sysconfdir}/sysconfig/network-scripts/ifdown-sit
%{_sysconfdir}/sysconfig/network-scripts/ifup-tunnel
%{_sysconfdir}/sysconfig/network-scripts/ifdown-tunnel
%{_sysconfdir}/sysconfig/network-scripts/ifup-aliases
%{_sysconfdir}/sysconfig/network-scripts/ifup-isdn
%{_sysconfdir}/sysconfig/network-scripts/ifdown-isdn
%{_sysconfdir}/sysconfig/network-scripts/ifup-wireless
%{_sysconfdir}/sysconfig/network-scripts/ifup-hso
%{_sysconfdir}/sysconfig/network-scripts/ifdown-hso
%config(noreplace) %{_sysconfdir}/networks
%{_sysconfdir}/rwtab
%dir %{_sysconfdir}/rwtab.d
%{_sysconfdir}/statetab
%dir %{_sysconfdir}/statetab.d
%ifarch s390 s390x
/lib/udev/rules.d/55-ccw.rules
%endif
/lib/lsb/init-functions
%dir %{_sysconfdir}/rc.d/init.d
%{_sysconfdir}/rc.d/init.d/*
%dir %{_prefix}/lib/sysctl.d
%{_prefix}/lib/sysctl.d/00-system.conf
%exclude %{_sysconfdir}/profile.d/debug*
%config %{_sysconfdir}/profile.d/*
%{_sysconfdir}/sysconfig/network-scripts/ifup.d/vpn
%{_sysconfdir}/sysconfig/network-scripts/ifdown.d/vpn
%{_sbindir}/vpn-start
%{_sbindir}/vpn-stop
%{_sbindir}/mdv-network-event
%{_sbindir}/sys-unconfig
/bin/ipcalc
/bin/usleep
%attr(4755,root,root) %{_sbindir}/usernetctl
/sbin/consoletype
/sbin/genhostid
%attr(2755,root,root) /sbin/netreport
/lib/udev/rules.d/*
/lib/udev/rename_device
%ifarch s390 s390x
/lib/udev/ccw_init
%endif
/sbin/service
/sbin/sushell
#mdv
/sbin/hibernate-cleanup.sh
%{_mandir}/man*/*
%lang(cs) %{_mandir}/cs/man*/*
%lang(et) %{_mandir}/et/man*/*
%lang(fi) %{_mandir}/fi/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%lang(it) %{_mandir}/it/man*/*
%lang(pt_BR) %{_mandir}/pt_BR/man*/*
%lang(ru) %{_mandir}/ru/man*/*
%lang(uk) %{_mandir}/uk/man*/*
%ghost %dir %attr(775,root,root) /var/run/netreport
%dir %{_sysconfdir}/NetworkManager
%dir %{_sysconfdir}/NetworkManager/dispatcher.d
%{_sysconfdir}/NetworkManager/dispatcher.d/00-netreport
%doc sysconfig.txt sysvinitfiles static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto changes.ipv6
/var/lib/stateless
%{_bindir}/*
%{_tmpfilesdir}/initscripts.conf
%{_tmpfilesdir}/mandriva.conf
%{_var}/lib/rpm/filetriggers/clean-legacy-sysv-symlinks.*
%{_systemdrootdir}/fedora-autorelabel
%{_systemdrootdir}/fedora-domainname
%{_systemdrootdir}/fedora-import-state
%{_systemdrootdir}/fedora-readonly
%{_systemdrootdir}/mandriva-save-dmesg
%{_systemunitdir}/basic.target.wants/fedora-autorelabel.service
%{_systemunitdir}/basic.target.wants/fedora-autorelabel-mark.service
#/lib/systemd/system/ctrl-alt-del.target
%{_systemunitdir}/fedora-autorelabel.service
%{_systemunitdir}/fedora-autorelabel-mark.service
%{_systemunitdir}/fedora-domainname.service
%{_systemunitdir}/fedora-import-state.service
%{_systemunitdir}/fedora-readonly.service
%{_systemunitdir}/mandriva-save-dmesg.service
%{_systemunitdir}/local-fs.target.wants/fedora-import-state.service
%{_systemunitdir}/local-fs.target.wants/fedora-readonly.service
%{_systemunitdir}/mandriva-kmsg-loglevel.service
%dir %{_libexecdir}/initscripts
%dir %{_libexecdir}/initscripts/legacy-actions

%post
%tmpfiles_create %{name}.conf
%tmpfiles_create mandriva.conf

if [ $1 -ge 2 ]; then
# (tpg) kill this too
chkconfig --del partmon > /dev/null 2>&1 || :
fi

%_mypost_service network

%_mypost_service netconsole

# %{_sysconfdir}/sysconfig/desktop format has changed
if [ -r %{_sysconfdir}/sysconfig/desktop ]; then
    if ! grep -q = %{_sysconfdir}/sysconfig/desktop; then
	DESK=`cat %{_sysconfdir}/sysconfig/desktop`
	echo "DESKTOP=$DESK" > %{_sysconfdir}/sysconfig/desktop
    fi
fi

# only needed on upgrade
if [ $1 != 0 ]; then
	# Handle boot sequence changes on upgrade
	%initlvl_chg partmon 80 13
	
fi

%preun
%_preun_service netconsole

%_preun_service network

%_preun_service partmon

%postun
if [ -f /var/lock/TMP_1ST ];then
	rm -f /var/lock/TMP_1ST
fi

#----------------------------------------------------------------------------

%package -n debugmode
Summary:	Scripts for running in debug mode
Group:		System/Base
Requires:	initscripts

%description -n debugmode
The debugmode package contains some basic scripts that are used to run
the system in a debug mode.

Currently, this consists of various memory checking code.

%files -n debugmode
%config(noreplace) %{_sysconfdir}/sysconfig/debug
%config %{_sysconfdir}/profile.d/debug*

#----------------------------------------------------------------------------

%prep
%setup -q
# Adapt mandriva megapatch 9.54 to version 9.56
tar xaf %{SOURCE2}
patch initscripts-omv.patch -i %{SOURCE3}
patch -p1 -i initscripts-omv.patch
%apply_patches
find -name "*.0???~" -delete
rm -rf po
ln -s mandriva/po

%build
%global optflags %{optflags} -Os
%setup_compile_flags

make
make -C mandriva

%install
mkdir -p %{buildroot}%{_sysconfdir}
make ROOT=%{buildroot} SUPERUSER=`id -un` SUPERGROUP=`id -gn` mandir=%{_mandir} install

#MDK
make -C mandriva install ROOT=%{buildroot} mandir=%{_mandir}

python mandriva/gprintify.py \
	`find %{buildroot}%{_sysconfdir}/rc.d -type f` \
	`find %{buildroot}%{_sysconfdir}/sysconfig/network-scripts -type f` \
	%{buildroot}%{_systemdrootdir}/fedora-* \
	%{buildroot}%{_systemdrootdir}/mandriva-*

# (tpg) remove as its not needed
for i in 0 1 2 3 4 5 6; do
rm -rf %{buildroot}%{_sysconfdir}/rc$i.d ;
done

%find_lang %{name}

rm -rf %{buildroot}%{_sysconfdir}/event.d
rm -rf %{buildroot}%{_sysconfdir}/init

rm -f %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup-ctc
rm -f %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup-iucv
rm -f %{buildroot}/lib/udev/rules.d/55-ccw.rules
rm -f %{buildroot}/lib/udev/ccw_init

# remove unused hotplug helper and ipsec/isdn stuff
rm -f %{buildroot}/%{_sysconfdir}/sysconfig/network-scripts/{ifdown-ippp,ifup-ippp,ifdown-ipsec,ifup-ipsec,net.hotplug}

# we have our own copy of gprintify
export DONT_GPRINTIFY=1

#delete prefdm
rm -f %{buildroot}/%{_sysconfdir}/X11/prefdm

#delete old module config
rm -f %{buildroot}/%{_sysconfdir}/modules

# (cg) Clean up danging symlinks after initscript removal
install -d %{buildroot}%{_var}/lib/rpm/filetriggers
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/clean-legacy-sysv-symlinks.filter << EOF
^.%{_initrddir}/
EOF
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/clean-legacy-sysv-symlinks.script << EOF
#!/bin/sh
find -L /etc/rc.d/rc{0,1,2,3,4,5,6,7}.d -type l -exec rm -f {} +
EOF
chmod 755 %{buildroot}%{_var}/lib/rpm/filetriggers/clean-legacy-sysv-symlinks.script


%changelog

* Wed Mar 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:9.56-8
- (e0f1232) Add default runlevels to network script

* Wed Mar 23 2016 Vladimir Golubkov <vgol.mail@gmail.com> 2:9.56-7
- (54cfa66) fix paths in /lib/systemd/fedora-domainname

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:9.56-6
- (be1a3ae) Spec cleanup
- (Andrey Bondrov: 1e61d0e) Don't use systemd_post macro for network and netconsole services (they are still sysvinit)
- (Andrey Bondrov: 1e61d0e) Minor cleanups

* Fri Jul 24 2015 law <a.lahin@ntcit-rosa.ru> 2:9.56-5
- (52f3472) Don't override default kernel parameters (the OMV change is not justified)

* Wed Jul 15 2015 law <a.lahin@ntcit-rosa.ru> 2:9.56-4
- (f7b2488) Rid of legacy fedora-loadmodules.service

* Mon Jun 29 2015 law <a.lahin@ntcit-rosa.ru> 2:9.56-2
- (0906678) Remove /etc/inittab, /etc/crypttab, utmp, wtmp, btmp

* Mon Jun 29 2015 law <a.lahin@ntcit-rosa.ru> 2:9.56-1
- (bea8ee5) Upgrade to version 9.56

* Fri Jun 26 2015 law <a.lahin@ntcit-rosa.ru> 2:9.54-1
- (07fae76) Upgrade to version 9.54

* Mon Jun 01 2015 law <a.lahin@ntcit-rosa.ru> 2:9.45-10
- (53af26e) Increase release number

* Mon Jun 01 2015 law <a.lahin@ntcit-rosa.ru> 2:9.45-9
- (cd444dd) Restore lost dot (source ~./i18n)
- (law: c3ce5c8) Increase release number

* Fri May 29 2015 law <a.lahin@ntcit-rosa.ru> 2:9.45-8
- (52eb41b) Read system locale environment if locale is not defined
- (law: 09b47ff) Increase release number

* Thu Apr 16 2015 law <a.lahin@ntcit-rosa.ru> 2:9.45-7
- (4cad6f0) Update configs description in sysconfig.txt
- (law: ac939c8) Increase release number

* Tue Mar 17 2015 law <a.lahin@ntcit-rosa.ru> 2:9.45-6
- (7bc3c2b) Don't source /etc/locale.conf in lang.[c]sh as it processed by systemd
- (law: f907e2a) Remove i18n_ini_syntax.patch as not needed (see #1355)
- (law: 574fbc7) Remove mandriva-specific i18n functions
- (law: 9bba0ad) Remove prefdm patch as prefdm no longer exists
- (law: 187e221) Increase release number

* Mon Mar 02 2015 law <a.lahin@ntcit-rosa.ru> 2:9.45-5
- (b5a1d58) Updates for systemd random-seed handling
- (Alexander Lakhin: 395229a) MassBuild#656: Increase release tag

* Wed Feb 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:9.45-4
- (548a409) Drop unused files
- (law: 764b974) Increase release number

* Tue Feb 10 2015 law <a.lahin@ntcit-rosa.ru> 2:9.45-3
- (579542d) Check for *256color terminfo existence before changing TERM
- (law: abefdfa) Sync with current
- (law: 906c39f) Increase release number

* Fri Jan 30 2015 law <a.lahin@ntcit-rosa.ru> 2:9.45-2
- (17b60d8) Fix dmraid conflict specification
- (law: 99b7939) Increase release number

* Thu Dec 18 2014 law <a.lahin@ntcit-rosa.ru> 2:9.45-1
- (410faf7) Sync service file with fedora/omv
- (law: 0f3b130) Conflict with older lvm & dmraid so we get the required versions that allow us to drop fedora-storage-unit
- (law: 209b65c) Fix .spec
- (law: 6d803bf) Consolidate all network-related changes
- (law: 9bf42d7) Reorder changes in the first three patches; rename them as appropriate
- (law: 93a9a4c) Remove initscripts-ntcit-release.patch as useless after dropping mandriva-everytime
- (law: 35796fa) Upgrade to 9.45

* Wed Dec 17 2014 law <a.lahin@ntcit-rosa.ru> 2:9.34-21
- (5dfdd11) Drop old mandriva megapatch
- (law: c7b520e) Increase release number

* Mon Dec 15 2014 law <a.lahin@ntcit-rosa.ru> 2:9.34-20
- (adc3445) Extract ROSA-specific changes from Mandriva megapatch
- (law: cce2dd0) Sync with import/rosa2014.1

* Mon Nov 24 2014 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 2:9.25-31
- (f6dc8d9) BuildList#2335496: Increase release tag

* Mon Nov 17 2014 law <a.lahin@ntcit-rosa.ru> 2:9.25-30
- (a51ef84) Increase release number

* Mon Nov 17 2014 law <a.lahin@ntcit-rosa.ru> 2:9.25-29
- (604f813) Non-systemd support removal
- (law: b8d4833) Increase release number

* Mon Nov 17 2014 law <a.lahin@ntcit-rosa.ru> 2:9.25-28
- (a785e06) Remove loadkeys patch as too specific; remove orphaned namespace patch
- (law: 8d692ce) Increase release number

* Fri Nov 14 2014 law <a.lahin@ntcit-rosa.ru> 2:9.25-27
- (ba57d93) Eliminate references to /etc/locale
- (Dmitry Fedorov: 623f7b1) Updated initscripts.spec

* Wed Nov 05 2014 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 2:9.25-26
- (fd80788) Updated initscripts-autorelabel-conditions.patch
- (Dmitry Fedorov: 552d85e) BuildList#2320548: Increase release tag

* Wed Oct 08 2014 alexanderlaw <a.lahin@ntcit-rosa.ru> 2:9.25-25
- (271d2a3) Increase release number

* Wed Oct 08 2014 alexanderlaw <a.lahin@ntcit-rosa.ru> 2:9.25-24
- (0bb076f) Complete switch to new i18n config #rm6199
- (alexanderlaw: 0495476) Increase release number

* Wed Oct 08 2014 alexanderlaw <a.lahin@ntcit-rosa.ru> 2:9.25-23
- (e52a064) Switch to new i18n config #rm6199
- (Dmitry Fedorov: 8323c06) BuildList#2274925: Increase release tag
- (alexanderlaw: 55e92d9) Increase release number

* Thu Oct 02 2014 alexanderlaw <a.lahin@ntcit-rosa.ru> 2:9.25-22
- (5d69fae) Remove legacy text #rm6199
- (Dmitry Fedorov: 7b82ad6) MassBuild#518: Increase release tag

* Tue Aug 12 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:9.25-21
- (b1c2bea) MassBuild#472: Increase release tag

* Tue Aug 12 2014 Alex Burmashev <alex.burmashev@gmail.com> 2:9.25-20
- (789bee8) sync to certified branch, 12.08.2014

* Fri Jul 18 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:9.25-19
- (ba13ae3) MassBuild#456: Increase release tag

* Wed Jul 02 2014 Alex Burmashev <alex.burmashev@gmail.com> 2:9.25-18
- (5dff0e9) sync to certified branch

* Tue Jul 01 2014 Alex Burmashev <alex.burmashev@gmail.com> 9.25-16
- (a67da2d) sync to certified branch

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 9.34-16
- (39c76c4) MassBuild#440: Increase release tag

* Mon Apr 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 9.34-15
- (50b3821) added loadkeys ru patch

* Fri Jan 10 2014 akdengi <kazancas@mandriva.ru> 9.34-14
- (e64af0b) another fix rc.sysinit
- (akdengi: 900aae3) fix rc.sysinit

* Fri Jan 10 2014 akdengi <kazancas@mandriva.ru> 9.34-12
- (6580262) Drop mandriva-everytime.service and some obsoletes Mandriva patches

* Mon Oct 21 2013 Alexander Kazancev <kazancas@gmail.com> 9.34-11
- (53b10f0) Fix dhclient options
- (Alexander Kazancev: 8b4db47) Up release

* Wed Sep 04 2013 akdengi <kazancas@mandriva.ru> 9.34-10
- (1fa0373) move USE_NM_ONLY config to NM packager
- (Alexander Kazancev: 59762fb) Need latest udev >= 194-26
- (akdengi: 643ab24) drop 60-net udev rule and add options NM_USE_ONLY=yes in /etc/sysconfig/network. Clean spec

* Tue Aug 06 2013 akdengi <kazancas@mandriva.ru> 9.34-9
- (b3268dd) add rules

* Thu Jun 13 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 9.25-12.6
- (783ab0d) fixed a typo
- (root: 9d7a56f) added a loadkeys ru patch

* Tue Mar 05 2013 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 9.25-12.5
- (75fac13) updated spec

* Tue Mar 05 2013 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 9.25-12.2
- (1367812) Default selinux location has been changed
- (root: 4f901f8) removed&disabled the loadkeys-ru patch

* Fri Dec 28 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 9.25-12.1
- (bffc32e) LOG fix for #1355 (handling ~/.i18n file with ini syntax)

* Fri Aug 03 2012 root <root@localhost.localdomain> 9.25-12
- (dd3d596) loadkeys patch
- (root: c461d57) added loadkeys ru to fix ru console output


